import { AnnotationLayer } from "./AnnotationLayer";
import { Axis } from "./Axis";
import { CategoryTooltipLayerPosition } from "./CategoryTooltipLayerPosition";
import { Brush } from "igniteui-angular-core";
import { Series } from "./Series";
import { Type, Point } from "igniteui-angular-core";
import { SeriesView } from "./SeriesView";
import { Frame } from "./Frame";
import { DataContext } from "igniteui-angular-core";
import { Size } from "igniteui-angular-core";
import { AnnotationLayerView } from "./AnnotationLayerView";
import { RenderingContext } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class CategoryToolTipLayer extends AnnotationLayer {
    static $t: Type;
    protected bk(): Series;
    protected get_et(): boolean;
    constructor();
    protected ct(): SeriesView;
    q7(a: SeriesView): void;
    protected aah: CategoryToolTipLayerView;
    protected get_e4(): boolean;
    aaf: Axis;
    aaj: boolean;
    aag: CategoryTooltipLayerPosition;
    protected rg(a: any, b: string, c: any, d: any): void;
    protected y0(a: Axis, b: boolean): void;
    protected y1(a: Series, b: boolean): void;
    protected y3(a: Frame, b: SeriesView): void;
    private aai;
    qd(): void;
    private aas;
    private aal;
    protected y6(a: Frame, b: SeriesView): void;
    protected gb(): boolean;
    aaz: Brush;
    aa0: Brush;
    aak: number;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class CategoryToolTipLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: CategoryToolTipLayer);
    protected cn: CategoryToolTipLayer;
    private co;
    private _tooltips;
    private cr;
    private cp;
    ct(): any;
    a4(): void;
    as(): void;
    private _htmlTest;
    protected get htmlTest(): any;
    protected set htmlTest(a: any);
    cq(a: Series, b: any, c: DataContext): boolean;
    c0(a: any): Size;
    cz(a: Point): Point;
    cx(a: any, b: number, c: number, d: number, e: number): void;
    c1(): Size;
    cw(a: any): void;
    cv(): void;
    cy(): void;
    protected bj(a: RenderingContext, b: boolean): void;
    ax(a: any): void;
}
